Bug 471542 - Build fontforge with cairo, pango and spiro support
Summary: Build fontforge with cairo, pango and spiro support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontforge
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-14 07:49 UTC by Nicolas Mailhot
Modified: 2008-12-18 03:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-18 03:44:18 UTC
Type: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2008-11-14 07:49:39 UTC
Upstream lately added support for all sorts of nifty libraries, and our fontforge package needs to be tweaked to accomodate them

Comment 1 Bug Zapper 2008-11-26 05:21:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Kevin Fenzi 2008-12-02 07:10:15 UTC
spiro isn't yet in fedora. It will need to be packaged... I can look at doing that. 

cairo support doesn't seem to work. There is a compile failure that upstream says is fixed, but doesn't seem to yet be in the newest release. ;( 
This also causes pango to not work. ;( 

I will see about finding a patch or the next release once it's out.

Comment 3 Kevin Fenzi 2008-12-16 23:11:53 UTC
I have just built a new version with cairo/pango support. 

I just submitted a libspiro package for review. 
See bug 476758

Comment 4 Kevin Fenzi 2008-12-18 03:44:18 UTC
libspiro is in, and fontforge is rebuilt with it: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=1005627

And with that, I close this bug. ;) 

If you spot any problems feel free to re-open or file new bugs.


Note You need to log in before you can comment on or make changes to this bug.